package com.fs.qw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.qwApi.domain.QwMessages;

import java.util.List;

/**
 * 企业微信会话存档Service接口
 *
 * @author fs
 * @date 2025-03-18
 */
public interface IQwMessagesService extends IService<QwMessages>{
    /**
     * 查询企业微信会话存档
     *
     * @param id 企业微信会话存档主键
     * @return 企业微信会话存档
     */
    QwMessages selectQwMessagesById(Long id);

    /**
     * 查询企业微信会话存档列表
     *
     * @param qwMessages 企业微信会话存档
     * @return 企业微信会话存档集合
     */
    List<QwMessages> selectQwMessagesList(QwMessages qwMessages);

    /**
     * 新增企业微信会话存档
     *
     * @param qwMessages 企业微信会话存档
     * @return 结果
     */
    int insertQwMessages(QwMessages qwMessages);

    /**
     * 修改企业微信会话存档
     *
     * @param qwMessages 企业微信会话存档
     * @return 结果
     */
    int updateQwMessages(QwMessages qwMessages);

    /**
     * 批量删除企业微信会话存档
     *
     * @param ids 需要删除的企业微信会话存档主键集合
     * @return 结果
     */
    int deleteQwMessagesByIds(Long[] ids);

    /**
     * 删除企业微信会话存档信息
     *
     * @param id 企业微信会话存档主键
     * @return 结果
     */
    int deleteQwMessagesById(Long id);

    int batchInsertMessages(List<QwMessages> messages);
}
